* build-aux/javaexec.sh.in: Don't test HAVE_GIJ.
* m4/javaexec.m4 (gt_JAVAEXEC): Don't set HAVE_GIJ. Don't set CONF_JAVA
to 'gij'.
* m4/javacomp.m4: Update comment.
+2023-06-09 Bruno Haible <bruno@clisp.org>
+
+ javaexec-script: Remove support for 'gij'.
+ * build-aux/javaexec.sh.in: Don't test HAVE_GIJ.
+ * m4/javaexec.m4 (gt_JAVAEXEC): Don't set HAVE_GIJ. Don't set CONF_JAVA
+ to 'gij'.
+ * m4/javacomp.m4: Update comment.
+
2023-06-09 Bruno Haible <bruno@clisp.org>
javaexec: Remove support for 'jview'.
else
unset JAVA_HOME
export CLASSPATH
- if test -n "@HAVE_GIJ@"; then
- # In this case, $CONF_JAVA is "gij".
+ if test -n "@HAVE_JAVA@"; then
+ # In this case, $CONF_JAVA is "java".
test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
exec $CONF_JAVA "$@"
else
- if test -n "@HAVE_JAVA@"; then
- # In this case, $CONF_JAVA is "java".
+ if test -n "@HAVE_JRE@"; then
+ # In this case, $CONF_JAVA is "jre".
test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
exec $CONF_JAVA "$@"
else
- if test -n "@HAVE_JRE@"; then
- # In this case, $CONF_JAVA is "jre".
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
- exec $CONF_JAVA "$@"
- else
- echo 'Java virtual machine not found, try installing gij or set $JAVA, then reconfigure' 1>&2
- exit 1
- fi
+ echo 'Java virtual machine not found, try setting $JAVA, then reconfigure' 1>&2
+ exit 1
fi
fi
fi
-# javacomp.m4 serial 20
+# javacomp.m4 serial 21
dnl Copyright (C) 2001-2003, 2006-2007, 2009-2023 Free Software Foundation,
dnl Inc.
dnl This file is free software; the Free Software Foundation
# target-version for JVM
# 1.1 JDK 1.1
# 1.2 JDK/JRE 1.2
-# 1.3 JDK/JRE 1.3, gij 3.3, 3.4
-# 1.4 JDK/JRE 1.4, gij 4.0 ... 4.2
-# 1.5 JDK/JRE 5, gij 4.3 ... 6
+# 1.3 JDK/JRE 1.3
+# 1.4 JDK/JRE 1.4
+# 1.5 JDK/JRE 5
# 1.6 JDK/JRE 6
# 1.7 JDK/JRE 7
# 1.8 JDK/JRE 8
# 9 JDK/JRE 9
# 10 JDK/JRE 10
# 11 JDK/JRE 11
-# Note: gij >= 3.3 can in some cases handle classes compiled with -target 1.4,
-# and gij >= 4.1 can in some cases partially handle classes compiled with
-# -target 1.5, but I have no idea how complete this support is. Similarly,
-# gcj >= 4.3 supports -ftarget=1.6, and gij >= 4.3 can in some cases handle
-# classes compiled with -target 1.6.
+# Note: gcj >= 4.3 supports -ftarget=1.6.
#
# Specifying target-version is useful when building a library (.jar) that is
# useful outside the given package. Omitting target-version is useful when
-# javaexec.m4 serial 9
+# javaexec.m4 serial 10
dnl Copyright (C) 2001-2003, 2006, 2009-2023 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
], CLASSPATH_SEPARATOR=';', CLASSPATH_SEPARATOR=':')
CONF_JAVA=
HAVE_JAVA_ENVVAR=
- HAVE_GIJ=
HAVE_JAVA=
HAVE_JRE=
HAVE_JAVAEXEC=1
pushdef([AC_MSG_CHECKING],[:])dnl
pushdef([AC_CHECKING],[:])dnl
pushdef([AC_MSG_RESULT],[:])dnl
- AC_CHECK_PROG([HAVE_GIJ_IN_PATH], [gij], [yes])
AC_CHECK_PROG([HAVE_JAVA_IN_PATH], [java], [yes])
AC_CHECK_PROG([HAVE_JRE_IN_PATH], [jre], [yes])
popdef([AC_MSG_RESULT])dnl
CLASSPATH="$2"${CLASSPATH+"$CLASSPATH_SEPARATOR$CLASSPATH"}
])
export CLASSPATH
- if test -n "$HAVE_GIJ_IN_PATH" \
- && gij --version >/dev/null 2>/dev/null \
+ if test -n "$HAVE_JAVA_IN_PATH" \
+ && java -version >/dev/null 2>/dev/null \
m4_if([$1], , , [&& {
- echo "$as_me:__oline__: gij $1" >&AS_MESSAGE_LOG_FD
- gij $1 >&AS_MESSAGE_LOG_FD 2>&1
+ echo "$as_me:__oline__: java $1" >&AS_MESSAGE_LOG_FD
+ java $1 >&AS_MESSAGE_LOG_FD 2>&1
}]); then
- HAVE_GIJ=1
- CONF_JAVA="gij"
+ HAVE_JAVA=1
+ CONF_JAVA="java"
else
- if test -n "$HAVE_JAVA_IN_PATH" \
- && java -version >/dev/null 2>/dev/null \
+ if test -n "$HAVE_JRE_IN_PATH" \
+ && (jre >/dev/null 2>/dev/null || test $? = 1) \
m4_if([$1], , , [&& {
- echo "$as_me:__oline__: gij $1" >&AS_MESSAGE_LOG_FD
- java $1 >&AS_MESSAGE_LOG_FD 2>&1
+ echo "$as_me:__oline__: jre $1" >&AS_MESSAGE_LOG_FD
+ jre $1 >&AS_MESSAGE_LOG_FD 2>&1
}]); then
- HAVE_JAVA=1
- CONF_JAVA="java"
+ HAVE_JRE=1
+ CONF_JAVA="jre"
else
- if test -n "$HAVE_JRE_IN_PATH" \
- && (jre >/dev/null 2>/dev/null || test $? = 1) \
- m4_if([$1], , , [&& {
- echo "$as_me:__oline__: gij $1" >&AS_MESSAGE_LOG_FD
- jre $1 >&AS_MESSAGE_LOG_FD 2>&1
- }]); then
- HAVE_JRE=1
- CONF_JAVA="jre"
- else
- HAVE_JAVAEXEC=
- fi
+ HAVE_JAVAEXEC=
fi
fi
m4_if([$1], , , [
AC_SUBST([CLASSPATH])
AC_SUBST([CLASSPATH_SEPARATOR])
AC_SUBST([HAVE_JAVA_ENVVAR])
- AC_SUBST([HAVE_GIJ])
AC_SUBST([HAVE_JAVA])
AC_SUBST([HAVE_JRE])
])
[
CONF_JAVA=
HAVE_JAVA_ENVVAR=
- HAVE_GIJ=
HAVE_JAVA=
HAVE_JRE=
AC_SUBST([CONF_JAVA])
AC_SUBST([HAVE_JAVA_ENVVAR])
- AC_SUBST([HAVE_GIJ])
AC_SUBST([HAVE_JAVA])
AC_SUBST([HAVE_JRE])
])